EJECT(1)

NAMN
eject - mata ut flyttbara media

SYNOPSIS

eject [flaggor] enhet|monteringspunkt

BESKRIVNING

eject gör det möjligt att mata ut flyttbara media (vanligtvis en CD-ROM, diskett, band, JAZ-, ZIP- eller USB-disk) under programvarukontroll. Kommandot kan också styra vissa cd-rom-växlare med flera skivor, den automatiska utmatningsfunktionen som stöds av vissa enheter och stänga skivfacket på vissa cd-rom-enheter.

Den enhet som motsvarar enhet eller monteringspunkt matas ut. Om inget namn anges används standardnamnet /dev/cdrom. Enheten kan adresseras med enhetsnamn (t.ex. 'sda'), enhetssökväg (t.ex. '/dev/sda'), UUID=uuid eller LABEL=etikett-taggar.

Det finns fyra olika metoder för utmatning, beroende på om enheten är en CD-ROM, en SCSI-enhet, en flyttbar diskett eller ett band. Som standard försöker eject alla fyra metoderna i tur och ordning tills den lyckas.

Om en enhetspartition anges används enheten för hela disken.

Om enheten eller en enhetspartition för närvarande är monterad, avmonteras den innan den matas ut. Utmatningen bearbetas på en exklusiv öppen blockenhetsfildeskriptor om --no-unmount eller --force inte har angetts.

FLAGGOR

-a, --auto on|off
    Den här flaggan styr läget för automatisk utmatning, som stöds av vissa enheter. När det är aktiverat matas enheten ut automatiskt när enheten stängs.

-c, --changerslot slot
    Med denna flagga kan en CD-plats väljas från en ATAPI/IDE CD-ROM-växlare. CD-ROM-enheten får inte vara i bruk (monterad data-CD eller spela en musik-CD) för att en ändringsbegäran ska fungera. Observera också att den första kortplatsen i växlaren kallas 0, inte 1.

-d, --default
    Lista standardnamnet på enheten.

-F, --force
    Forcera utmatning, kontrollera inte enhetstyp, öppna inte enhet med exklusivt lås. Det lyckade resultatet kan vara falskt positivt på enheter som inte kan anslutas direkt.

-f, --floppy
    Den här flaggan anger att enheten ska matas ut med hjälp av kommandot för utmatning av flyttbar diskett.

-i, --manualeject on|off
    Den här flaggan styr låsningen av utmatningsknappen för maskinvara. När detta är aktiverat matas inte hårddisken ut när knappen trycks in. Detta är användbart när du bär med dig en bärbar dator i en väska eller fodral och inte vill att den ska matas ut om knappen trycks in av misstag.

-M, --no-partitions-unmount
    Flaggan säger till eject att inte försöka avmontera andra partitioner på partitionerade enheter. Om en annan partition fortfarande är monterad kommer programmet inte att försöka mata ut mediet. Det kommer bara att försöka avmontera den enhet eller monteringspunkt som anges på kommandoraden.

-m, --no-unmount
    Flaggan säger till eject att inte försöka avmontera alls. Om den här flaggan inte anges öppnar eject enheten med flaggan O_EXCL för att vara säker på att enheten inte används (sedan v2.35).

-n, --noop
    Med denna flagga visas den valda enheten, men ingen åtgärd utförs.

-p, --proc
    Med den här flaggan kan du använda /proc/mounts i stället för /etc/mtab. Det skickar också flaggan -n till umount(8).

-q, --tape
    Den här flaggan anger att enheten ska matas ut med hjälp av ett offlinekommando för bandstationen.

-r, --cdrom
    Denna flagga anger att enheten ska matas ut med hjälp av ett CDROM-utmatningskommando.

-s, --scsi
    Denna flagga anger att enheten ska matas ut med hjälp av SCSI-kommandon.

-T, --traytoggle
    Med denna flagga får enheten ett kommando för att stänga CD-ROM-facket om det öppnas och ett kommando för att mata ut CD-ROM-facket om det stängs. Detta kommando stöds inte av alla enheter, eftersom det använder kommandot "CD-ROM tray close" ovan.

-t, --trayclose
    Med denna flagga får enheten ett kommando för att stänga CD-ROM-facket. Detta kommando stöds inte av alla enheter.

-v, --verbose
    Körs i utförligt läge; mer information visas om vad kommandot gör.

-X, --listspeed
    Med denna flagga kommer CD-ROM-enheten att undersökas för att upptäcka tillgängliga hastigheter. Utdata är en lista över hastigheter som kan användas som argument för flaggan -x. Detta fungerar endast med Linux 2.6.13 eller senare, på tidigare versioner kommer endast den maximala hastigheten att rapporteras. Observera också att vissa enheter kanske inte rapporterar hastigheten korrekt och att den här flaggan därför inte fungerar med dem.

-x, --cdspeed hastighet
    Med denna flagga får enheten ett kommando för att välja CD-ROM-hastighet. Argumentet hastighet är ett tal som anger önskad hastighet (t.ex. 8 för 8X-hastighet), eller 0 för maximal datahastighet. Alla enheter stöder inte detta kommando och du kan bara ange hastigheter som enheten klarar av. Varje gång mediet byts ut rensas denna flagga. Denna flagga kan användas ensam eller tillsammans med flaggorna -t och -c.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

Returnerar 0 om operationen lyckades, 1 om operationen misslyckades eller om kommandosyntaxen inte var giltig.

ANTECKNINGAR

eject fungerar bara med enheter som stöder en eller flera av de fyra metoderna för utmatning. Detta inkluderar de flesta CD-ROM-enheter (IDE, SCSI och egenutvecklade), vissa SCSI-bandenheter, JAZ-enheter, ZIP-enheter (parallellport-, SCSI- och IDE-versioner) och LS120 flyttbara disketter. Användare har också rapporterat framgångar med diskettenheter på Sun SPARC och Apple Macintosh-system. Om eject inte fungerar är det troligen en begränsning i kärndrivrutinen för enheten och inte i själva eject-programmet.

Flaggorna -r, -s, -f och -q gör det möjligt att styra vilka metoder som används för att mata ut. Mer än en metod kan anges. Om inget av dessa flaggor anges, försöker alla fyra (detta fungerar bra i de flesta fall).

eject kanske inte alltid kan avgöra om enheten är monterad (t.ex. om den har flera namn). Om enhetsnamnet är en symbolisk länk kommer eject att följa länken och använda den enhet som den pekar på.

Om eject fastställer att enheten kan ha flera partitioner, kommer det att försöka avmontera alla monterade partitioner på enheten innan utmatning (se även --no-partitions-unmount). Om en avmontering misslyckas kommer programmet inte att försöka mata ut mediet.

Du kan mata ut en ljud-CD. Vissa CD-ROM-enheter vägrar att öppna facket om enheten är tom. Vissa enheter stöder inte kommandot för att stänga facket.

Om funktionen för automatisk utmatning är aktiverad kommer enheten alltid att matas ut efter att detta kommando har körts. Det är inte alla CD-ROM-drivrutiner i Linux-kärnan som stöder auto-eject-läget. Det finns inget sätt att ta reda på statusen för auto-eject-läget.

Du behöver lämpliga behörigheter för att komma åt enhetsfilerna. För att mata ut vissa enheter (t.ex. SCSI-enheter) krävs att du kör som root.

UPPHOVSPERSONER

- originalförfattare, och - util-linux-version.

SE ÄVEN

findmnt(8), lsblk(8), mount(8), umount(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot eject ingår i paketet util-linux som kan hämtas från